
Foreman - Bug #23511

Webpack plugin assets don't compile properly
Status: Closed   

Priority: High   

Assignee: Eric Helms   

Category:    

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5530,

https://github.com/theforeman/foreman/p

ull/5579

  

Description

Associated revisions

Revision b4e4ad58 - 05/11/2018 12:11 AM - Eric Helms

Fixes #23511 - Generate webpack plugins in context of vendor/bundle

Revision c197ff3c - 05/19/2018 01:41 PM - Evgeni Golov

Refs #23511 - make webpack generated bundle reusable by plugins

use stable (hashed) module references instead of numbers

History

#1 - 05/07/2018 11:02 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5530 added

#2 - 05/08/2018 11:38 AM - Ohad Levy

I'm also seeing duplication in css for plugins (e.g. remote_execution plugin css at 

https://gist.github.com/ohadlevy/eb4e5262a558ebd10ab6881e899203da) - is that the issue you are seeing (not sure from the description of this

issue).

#3 - 05/11/2018 01:01 AM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b4e4ad58f56a764cc85a27c8fb6859556504d2ad.

#4 - 05/17/2018 02:31 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5579 added
